Manifest-Version: 1.0
Bnd-LastModified: 1565950377749
Build-Jdk: 1.8.0_171
Built-By: root
Bundle-Description: Initializes Synapse and the required mediation tasks
  for the ESB
Bundle-DocURL: http://www.wso2.org/
Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion: 2
Bundle-Name: org.wso2.carbon.mediation.initializer
Bundle-SymbolicName: org.wso2.carbon.mediation.initializer
Bundle-Vendor: WSO2
Bundle-Version: 4.7.8
CAPP_MANAGER-RequiredServices: org.wso2.carbon.mediation.initializer.ser
 vices.SynapseEnvironmentService
Created-By: Apache Maven Bundle Plugin
DynamicImport-Package: *
Export-Package: org.wso2.carbon.mediation.initializer;uses:="org.apache.
 axis2.engine,org.apache.synapse,org.apache.synapse.config,org.apache.sy
 napse.core,org.apache.synapse.mediators,org.apache.synapse.util.resolve
 r,org.osgi.service.component,org.w3c.dom.ls,org.wso2.carbon.application
 .deployer.service,org.wso2.carbon.core,org.wso2.carbon.event.core,org.w
 so2.carbon.inbound.endpoint.persistence.service,org.wso2.carbon.mediati
 on.dependency.mgt.services,org.wso2.carbon.mediation.initializer.persis
 tence,org.wso2.carbon.mediation.ntask.internal,org.wso2.carbon.mediatio
 n.registry.services,org.wso2.carbon.registry.core.service,org.wso2.carb
 on.registry.core.session,org.wso2.carbon.securevault,org.wso2.carbon.ta
 sk.services,org.wso2.carbon.utils,org.xml.sax";version="4.7.8",org.wso2
 .carbon.mediation.initializer.configurations;uses:="org.apache.axis2.co
 ntext,org.apache.axis2.engine,org.apache.commons.logging,org.apache.syn
 apse.config,org.apache.synapse.core,org.wso2.carbon.registry.core.excep
 tions,org.wso2.carbon.registry.core.session";version="4.7.8",org.wso2.c
 arbon.mediation.initializer.handler;uses:="org.apache.axis2,org.apache.
 axis2.context,org.apache.axis2.engine,org.apache.axis2.handlers,org.apa
 che.synapse,org.apache.synapse.carbonext,org.apache.synapse.commons.uti
 l.ext";version="4.7.8",org.wso2.carbon.mediation.initializer.multitenan
 cy;uses:="org.apache.axiom.om,org.apache.axis2.context,org.apache.synap
 se,org.apache.synapse.config,org.apache.synapse.config.xml,org.wso2.car
 bon.registry.core,org.wso2.carbon.utils";version="4.7.8",org.wso2.carbo
 n.mediation.initializer.persistence;uses:="org.apache.axiom.om,org.apac
 he.axis2.engine,org.apache.commons.logging,org.apache.synapse,org.apach
 e.synapse.commons.executors,org.apache.synapse.config,org.apache.synaps
 e.config.xml,org.apache.synapse.core.axis2,org.apache.synapse.endpoints
 ,org.apache.synapse.eventing,org.apache.synapse.inbound,org.apache.syna
 pse.libraries.imports,org.apache.synapse.mediators.base,org.apache.syna
 pse.mediators.template,org.apache.synapse.message.processor,org.apache.
 synapse.message.store,org.apache.synapse.registry,org.apache.synapse.re
 st,org.wso2.carbon.mediation.initializer.persistence.registry,org.wso2.
 carbon.registry.core.session";version="4.7.8",org.wso2.carbon.mediation
 .initializer.persistence.registry;uses:="org.apache.axiom.om,org.apache
 .commons.logging,org.wso2.carbon.registry.core.exceptions,org.wso2.carb
 on.registry.core.session";version="4.7.8",org.wso2.carbon.mediation.ini
 tializer.services;uses:="org.apache.axis2.context,org.apache.synapse.co
 nfig,org.apache.synapse.core,org.osgi.framework";version="4.7.8",org.ws
 o2.carbon.mediation.initializer.utils;uses:="org.osgi.framework";versio
 n="4.7.8"
Import-Package: javax.xml.namespace;resolution:=optional,javax.xml.strea
 m;resolution:=optional;version="[1.0,2)",javax.xml.transform.stream;res
 olution:=optional,org.apache.axiom.om;resolution:=optional,org.apache.a
 xiom.om.impl.builder;resolution:=optional,org.apache.axiom.om.impl.llom
 ;resolution:=optional;version="[1.2,2)",org.apache.axis2;resolution:=op
 tional;version="[1.6,2)",org.apache.axis2.addressing;resolution:=option
 al;version="[1.6,2)",org.apache.axis2.context;resolution:=optional;vers
 ion="[1.6,2)",org.apache.axis2.deployment;resolution:=optional;version=
 "[1.6,2)",org.apache.axis2.description;resolution:=optional;version="[1
 .6,2)",org.apache.axis2.engine;resolution:=optional;version="[1.6,2)",o
 rg.apache.axis2.handlers;resolution:=optional;version="[1.6,2)",org.apa
 che.axis2.util;resolution:=optional;version="[1.6,2)",org.apache.common
 s.io;resolution:=optional;version="[2.0,3)",org.apache.commons.logging;
 resolution:=optional;version="[1.2,2)",org.apache.synapse;resolution:=o
 ptional,org.apache.synapse.carbonext;resolution:=optional,org.apache.sy
 napse.commons.executors;resolution:=optional,org.apache.synapse.commons
 .executors.config;resolution:=optional,org.apache.synapse.commons.snmp;
 resolution:=optional,org.apache.synapse.commons.util.ext;resolution:=op
 tional,org.apache.synapse.config;resolution:=optional,org.apache.synaps
 e.config.xml;resolution:=optional,org.apache.synapse.config.xml.endpoin
 ts;resolution:=optional,org.apache.synapse.config.xml.eventing;resoluti
 on:=optional,org.apache.synapse.config.xml.inbound;resolution:=optional
 ,org.apache.synapse.config.xml.rest;resolution:=optional,org.apache.syn
 apse.core;resolution:=optional,org.apache.synapse.core.axis2;resolution
 :=optional,org.apache.synapse.debug;resolution:=optional,org.apache.syn
 apse.deployers;resolution:=optional,org.apache.synapse.endpoints;resolu
 tion:=optional,org.apache.synapse.eventing;resolution:=optional,org.apa
 che.synapse.inbound;resolution:=optional,org.apache.synapse.libraries.i
 mports;resolution:=optional,org.apache.synapse.mediators;resolution:=op
 tional,org.apache.synapse.mediators.base;resolution:=optional,org.apach
 e.synapse.mediators.template;resolution:=optional,org.apache.synapse.me
 ssage.processor;resolution:=optional,org.apache.synapse.message.store;r
 esolution:=optional,org.apache.synapse.registry;resolution:=optional,or
 g.apache.synapse.rest;resolution:=optional,org.apache.synapse.startup;r
 esolution:=optional,org.apache.synapse.task;resolution:=optional,org.ap
 ache.synapse.util.jaxp;resolution:=optional,org.apache.synapse.util.res
 olver;resolution:=optional,org.apache.ws.security.kerberos;resolution:=
 optional;version="[1.5,2)",org.osgi.framework;resolution:=optional;vers
 ion="[1.9,2)",org.osgi.service.component;resolution:=optional;version="
 [1.2,2)",org.w3c.dom.ls;resolution:=optional,org.wso2.carbon.applicatio
 n.deployer;resolution:=optional;version="[4.5,5)",org.wso2.carbon.appli
 cation.deployer.service;resolution:=optional;version="[4.5,5)",org.wso2
 .carbon.base;resolution:=optional;version="[1.0,2)",org.wso2.carbon.con
 text;resolution:=optional;version="[4.5,5)",org.wso2.carbon.core;resolu
 tion:=optional;version="[4.5,5)",org.wso2.carbon.core.multitenancy.util
 s;resolution:=optional;version="[4.5,5)",org.wso2.carbon.event.core;res
 olution:=optional;version="[4.7,5)",org.wso2.carbon.inbound.endpoint;re
 solution:=optional;version="[4.7,5)",org.wso2.carbon.inbound.endpoint.p
 ersistence.service;resolution:=optional;version="[4.7,5)",org.wso2.carb
 on.mediation.dependency.mgt.services;resolution:=optional;version="[4.7
 ,5)",org.wso2.carbon.mediation.initializer;resolution:=optional,org.wso
 2.carbon.mediation.initializer.configurations;resolution:=optional,org.
 wso2.carbon.mediation.initializer.handler;resolution:=optional,org.wso2
 .carbon.mediation.initializer.multitenancy;resolution:=optional,org.wso
 2.carbon.mediation.initializer.persistence;resolution:=optional,org.wso
 2.carbon.mediation.initializer.persistence.registry;resolution:=optiona
 l,org.wso2.carbon.mediation.initializer.services;resolution:=optional,o
 rg.wso2.carbon.mediation.initializer.utils;resolution:=optional,org.wso
 2.carbon.mediation.ntask;resolution:=optional;version="[4.7,5)",org.wso
 2.carbon.mediation.ntask.internal;resolution:=optional;version="[4.7,5)
 ",org.wso2.carbon.mediation.registry;resolution:=optional;version="[4.7
 ,5)",org.wso2.carbon.mediation.registry.services;resolution:=optional;v
 ersion="[4.7,5)",org.wso2.carbon.registry.api;resolution:=optional;vers
 ion="[1.0,2)",org.wso2.carbon.registry.core;resolution:=optional;versio
 n="[1.0,2)",org.wso2.carbon.registry.core.exceptions;resolution:=option
 al;version="[1.0,2)",org.wso2.carbon.registry.core.jdbc.utils;resolutio
 n:=optional;version="[1.0,2)",org.wso2.carbon.registry.core.service;res
 olution:=optional;version="[1.0,2)",org.wso2.carbon.registry.core.sessi
 on;resolution:=optional;version="[1.0,2)",org.wso2.carbon.securevault;r
 esolution:=optional;version="[4.5,5)",org.wso2.carbon.task.services;res
 olution:=optional;version="[4.7,5)",org.wso2.carbon.utils;resolution:=o
 ptional;version="[4.5,5)",org.wso2.securevault.secret;resolution:=optio
 nal;version="[1.1,2)",org.xml.sax;resolution:=optional
Require-Capability: osgi.service;filter:="(objectClass=org.wso2.carbon.a
 pplication.deployer.service.ApplicationManagerService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=org.wso2.carbon.event.core.EventB
 roker)";effective:=active,osgi.service;filter:="(objectClass=org.wso2.c
 arbon.inbound.endpoint.persistence.service.InboundEndpointPersistenceSe
 rvice)";effective:=active,osgi.service;filter:="(objectClass=org.wso2.c
 arbon.mediation.dependency.mgt.services.ConfigurationTrackingService)";
 effective:=active,osgi.service;filter:="(objectClass=org.wso2.carbon.me
 diation.ntask.internal.NtaskService)";effective:=active;resolution:=opt
 ional,osgi.service;filter:="(objectClass=org.wso2.carbon.mediation.regi
 stry.services.SynapseRegistryService)";effective:=active,osgi.service;f
 ilter:="(objectClass=org.wso2.carbon.registry.core.service.RegistryServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=org.wso2.car
 bon.securevault.SecretCallbackHandlerService)";effective:=active,osgi.s
 ervice;filter:="(objectClass=org.wso2.carbon.task.services.TaskDescript
 ionRepositoryService)";effective:=active,osgi.service;filter:="(objectC
 lass=org.wso2.carbon.task.services.TaskSchedulerService)";effective:=ac
 tive,osgi.service;filter:="(objectClass=org.wso2.carbon.utils.Configura
 tionContextService)";effective:=active,osgi.ee;filter:="(&(osgi.ee=Java
 SE)(version=1.8))"
Service-Component: OSGI-INF/esb.core.initializer.xml
Tool: Bnd-3.2.0.201605172007
